## Versioning information

Versioning information — libgweather version checking

## Functions

#define | GWEATHER_CHECK_VERSION ()

## Types and Values

#define | GWEATHER_MAJOR_VERSION
#define | GWEATHER_MINOR_VERSION
#define | GWEATHER_MICRO_VERSION
#define | GWEATHER_VERSION
#define | GWEATHER_VERSION_HEX

## Includes

    #include <libgweather/gweather.h>

## Description

LibGweather provides macros to check the version of the library at compile-time

## Functions

### GWEATHER_CHECK_VERSION()

    #define             GWEATHER_CHECK_VERSION(major,minor,micro)

Compile-time version checking. Evaluates to `TRUE` if the version of LibGweather is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

Since: 3.12

## Types and Values

### GWEATHER_MAJOR_VERSION

    #define GWEATHER_MAJOR_VERSION 3

LibGweather major version component (e.g. 1 if `GWEATHER_VERSION` is 1.2.3)

Since: 3.12

### GWEATHER_MINOR_VERSION

    #define GWEATHER_MINOR_VERSION 36

LibGweather minor version component (e.g. 2 if `GWEATHER_VERSION` is 1.2.3)

Since: 3.12

### GWEATHER_MICRO_VERSION

    #define GWEATHER_MICRO_VERSION 2

LibGweather micro version component (e.g. 3 if `GWEATHER_VERSION` is 1.2.3)

Since: 3.12

### GWEATHER_VERSION

    #define GWEATHER_VERSION "3.36.2"

LibGweather version.

Since: 3.12

### GWEATHER_VERSION_HEX

    #define             GWEATHER_VERSION_HEX

LibGweather version, encoded as an hexadecimal number, useful for integer comparisons.

Since: 3.12